from telegram import InlineKeyboardButton, InlineKeyboardMarkup

def main_menu_keyboard():
    """Главное меню клавиатуры."""
    return InlineKeyboardMarkup([
        [InlineKeyboardButton("📊 Статистика", callback_data="stats")],
        [InlineKeyboardButton("🏨 Управление отелями", callback_data="manage_hotels")],
        [InlineKeyboardButton("👤 Пользователи", callback_data="manage_users")],
        [InlineKeyboardButton("⚙️ Настройки", callback_data="settings")]
    ])

def stats_period_keyboard():
    """Клавиатура для выбора периода статистики."""
    return InlineKeyboardMarkup([
        [InlineKeyboardButton("Неделя", callback_data="stats_period_week")],
        [InlineKeyboardButton("Месяц", callback_data="stats_period_month")],
        [InlineKeyboardButton("Все время", callback_data="stats_period_all")],
        [InlineKeyboardButton("🔙 Назад", callback_data="back")],
    ])
